Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

UnauthorizedContentDraftListItem.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\API\Repository\Values\Content\DraftList\Item;
10
11 use eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface;
12 use eZ\Publish\API\Repository\Values\Content\VersionInfo;
13
17 class UnauthorizedContentDraftListItem implements ContentDraftListItemInterface
18 {
20 private $module;
21
23 private $function;
24
26 private $payload;
27
33 public function __construct(string $module, string $function, array $payload)
34 {
35 $this->module = $module;
36 $this->function = $function;
37 $this->payload = $payload;
38 }
39
43 public function getModule(): string
44 {
45 return $this->module;
46 }
47
51 public function getFunction(): string
52 {
53 return $this->function;
54 }
55
59 public function getPayload(): array
60 {
61 return $this->payload;
62 }
63
67 public function getVersionInfo(): ?VersionInfo
68 {
69 return null;
70 }
71
75 public function hasVersionInfo(): bool
76 {
77 return false;
78 }
79 }
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem
Item of content drafts list which represents draft to which user has no access for.
Definition: UnauthorizedContentDraftListItem.php:18
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\hasVersionInfo
hasVersionInfo()
Definition: UnauthorizedContentDraftListItem.php:75
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getModule
getModule()
Definition: UnauthorizedContentDraftListItem.php:43
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getPayload
getPayload()
Definition: UnauthorizedContentDraftListItem.php:59
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$payload
$payload
Definition: UnauthorizedContentDraftListItem.php:26
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getFunction
getFunction()
Definition: UnauthorizedContentDraftListItem.php:51
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$function
$function
Definition: UnauthorizedContentDraftListItem.php:23
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\getVersionInfo
getVersionInfo()
Definition: UnauthorizedContentDraftListItem.php:67
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\$module
$module
Definition: UnauthorizedContentDraftListItem.php:20
eZ\Publish\API\Repository\Values\Content\DraftList\Item\UnauthorizedContentDraftListItem\__construct
__construct(string $module, string $function, array $payload)
Definition: UnauthorizedContentDraftListItem.php:33
eZ\Publish\API\Repository\Values\Content\VersionInfo
Definition: API/Repository/Values/Content/VersionInfo.php:27
eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface
Definition: ContentDraftListItemInterface.php:14
eZ\Publish\API\Repository\Values\Content\DraftList\Item
Definition: ContentDraftListItem.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.